# Hurricane VLSI Database

List of all members | Public Types | Public Member Functions
Hurricane::Rubber Class Reference

Rubber description (API) More...

Inheritance diagram for Hurricane::Rubber:
[legend]

## Public Types
typedef Go | Inherit

## Public Member Functions
Net * | getNet () const
Hook * | getHook () const
unsigned | getCount () const
Point | getCenter () const
Hooks | getHooks () const
Public Member Functions inherited from Hurricane::Go
bool | isMaterialized () const
Public Member Functions inherited from Hurricane::DBo
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()

## Additional Inherited Members
Static Public Member Functions inherited from Hurricane::Go
static bool | autoMaterializationIsDisabled ()
static void | enableAutoMaterialization ()
static void | disableAutoMaterialization ()

## Detailed Description

Rubber description (API)

# Introduction

Ring introduce the concept of virtual connection between different master hooks present in the ring. Rubber is just introduced to materialize this implicit relation.

# Constructors & Destructors

Rubbers are entirely managed by Hurricane. So no constructors nor destructor are avalaible.

## Member Typedef Documentation

## ◆ Inherit

Hurricane::Rubber::Inherit

Useful for calling upon methods of the base class without knowing it.

## Member Function Documentation

## ◆ getNet()

Net * Hurricane::Rubber::getNet | ( |  | ) | const
| inline

Returns: the net owning the rubber.

## ◆ getHook()

Hook * Hurricane::Rubber::getHook | ( |  | ) | const
| inline

Returns: one hook (necessarily a master hook) of the ring which has created the rubber.

## ◆ getCount()

unsigned Hurricane::Rubber::getCount | ( |  | ) | const
| inline

Returns: the count associated to the rubber (in fact the number of master hooks of the ring).

Remarks
  This count is at least equal to two else the rubber doesn't exists (no need).

## ◆ getCenter()

Point Hurricane::Rubber::getCenter | ( |  | ) | const

Returns: the center of the rubber (computed at the fly).

## ◆ getHooks()

Hooks Hurricane::Rubber::getHooks | ( |  | ) | const

Returns: the collection of master hooks that the rubber virtualy connect.

The documentation for this class was generated from the following files:

- Rubber.h
- Rubber.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved